
/* reg.h
 * ВК-6 v0.31
 * (c) Васильев И.В., Москва, 5 марта 2010 г.
 *
 * Программа распространяется под лицензией GNU GPL v3.
 */

/* First, include "cpu.h" to define type real */

real ldR[1000];          /* Десятичные регистры R0..R999   */
unsigned char bR[7168];  /* Байтовые регистры R1000..R8167 */

int iNetNum; /* Сетевой номер ВК-6 */

/* Команды записи в память. */
void M(int r), KM(int r);
void PM(int bcd), PKM(int bcd);
void PPM(int bcd1, int bcd2);

/* Команды чтения из памяти. */
void RM(int r), KRM(int r);
void PRM(int bcd), PKRM(int bcd);
void PPRM(int bcd1, int bcd2);

/* Вспомогательные функции. */
void FnInit(void);
void Modify(int r, int flgShift);

