
/* supp.h
 * ВК-6 v0.33
 * (c) Васильев И.В., Москва, 10 марта 2010 г.
 *
 * Программа распространяется под лицензией GNU GPL v3.
 */


/* First, include "cpu.h" to define type real */

char strHex[16], strHexUp[16];


unsigned char Up(unsigned char c);
int IsSpace(unsigned char c), IsDigit(unsigned char c);
void Space(const unsigned char **s);


void Push(real x);
int Bin(int bcd), Bin2(int bcd1, int bcd2);

real Abs(real x);
int AbsI(int x);
void SwapI(int *x, int *y);

int MkByte(real x);
long Trunc(long x), Trun1(long x), TruncY(long x), Trun1Y(long x),
     TruncZ(long x);

unsigned char *ToNumMK(real x);
real FromNumMK(const unsigned char *s);
unsigned char *ToFloat(real x);
real FromFloat(const unsigned char *s);

unsigned char *NumToStr(real x), *NumToStrFix(real x, int c, int d);

#define MAX_REAL12 (9.99999999999E99L)
#define MAX_REAL14 (9.9999999999999E99L)
#define MIN_REAL (1E-99L)

#define EPS MIN_REAL
#define EPS2 (5E-15L)

